- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerBasic Class Reference

An implementation of the SaslServer interface. More...

`#include <gsaslserverbasic.h>`

Inheritance diagram for GAuth::SaslServerBasic:

## Public Member Functions
| SaslServerBasic (const Secrets &, bool ignored, bool force_one_mechanism)
| Constructor. More...
virtual | ~SaslServerBasic ()
| Destructor. More...
virtual bool | requiresEncryption () const
| Final override from GAuth::SaslServer. More...
virtual bool | active () const
| Final override from GAuth::SaslServer. More...
virtual std::string | mechanisms (char sep= ' ') const
| Final override from GAuth::SaslServer. More...
virtual bool | init (const std::string &mechanism)
| Final override from GAuth::SaslServer. More...
virtual std::string | mechanism () const
| Final override from GAuth::SaslServer. More...
virtual bool | mustChallenge () const
| Final override from GAuth::SaslServer. More...
virtual std::string | initialChallenge () const
| Final override from GAuth::SaslServer. More...
virtual std::string | apply (const std::string &response, bool &done)
| Final override from GAuth::SaslServer. More...
virtual bool | authenticated () const
| Final override from GAuth::SaslServer. More...
virtual std::string | id () const
| Final override from GAuth::SaslServer. More...
virtual bool | trusted (GNet::Address) const
| Final override from GAuth::SaslServer. More...
Public Member Functions inherited from GAuth::SaslServer
virtual | ~SaslServer ()
| Destructor. More...

## Detailed Description

An implementation of the SaslServer interface.

Definition at line 47 of file gsaslserverbasic.h.

## Constructor & Destructor Documentation

GAuth::SaslServerBasic::SaslServerBasic | ( | const Secrets & | secrets,
|  | bool | ignored,
|  | bool | force_one_mechanism
| ) |  |

Constructor.

Definition at line 200 of file gsaslserverbasic_native.cpp.

GAuth::SaslServerBasic::~SaslServerBasic | ( |  | ) |
| virtual

Destructor.

Definition at line 210 of file gsaslserverbasic_native.cpp.

## Member Function Documentation

bool GAuth::SaslServerBasic::active | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 205 of file gsaslserverbasic_native.cpp.

std::string GAuth::SaslServerBasic::apply | ( | const std::string & | response,
|  | bool & | done
| ) |  |
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 238 of file gsaslserverbasic_native.cpp.

References G_ASSERT, G_DEBUG, G_WARNING, G::Str::head(), G::Str::printable(), G::Str::splitIntoTokens(), and G::Str::tail().

bool GAuth::SaslServerBasic::authenticated | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 312 of file gsaslserverbasic_native.cpp.

std::string GAuth::SaslServerBasic::id | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 317 of file gsaslserverbasic_native.cpp.

bool GAuth::SaslServerBasic::init | ( | const std::string & | mechanism | ) |
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 220 of file gsaslserverbasic_native.cpp.

References G_DEBUG.

std::string GAuth::SaslServerBasic::initialChallenge | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 227 of file gsaslserverbasic_native.cpp.

std::string GAuth::SaslServerBasic::mechanism | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 189 of file gsaslserverbasic_native.cpp.

std::string GAuth::SaslServerBasic::mechanisms | ( | char | sep = `' '` | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 184 of file gsaslserverbasic_native.cpp.

bool GAuth::SaslServerBasic::mustChallenge | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 215 of file gsaslserverbasic_native.cpp.

bool GAuth::SaslServerBasic::requiresEncryption | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 322 of file gsaslserverbasic_native.cpp.

bool GAuth::SaslServerBasic::trusted | ( | GNet::Address | a | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 194 of file gsaslserverbasic_native.cpp.

References GNet::Address::displayString(), and G_DEBUG.

The documentation for this class was generated from the following files:

- gsaslserverbasic.h
- gsaslserverbasic_native.cpp